// content.test.js

const getBattleStatus = require('../battle_status');
const extractAidString = require('../content');
// battle_status.js をインポート

// テストケース1: 正常なURL
test('extractAidString with valid URL', () => {
  const url = 'https://example.com/some-path?aid%3D123';
  const result = extractAidString(url);
  expect(result).toBe('3D123');
});

// テストケース2: URLにaidが含まれない場合
test('extractAidString with URL without aid', () => {
  const url = 'https://example.com/some-path';
  const result = extractAidString(url);
  expect(result).toBe(null);
});

// テストケース3: aidが数値以外の場合
test('extractAidString with non-numeric aid', () => {
  const url = 'https://example.com/some-path?aid%3Dabc';
  const result = extractAidString(url);
  expect(result).toBe(null);
});
